package blatt6;

public interface Bat {
	/* Anm.:
	 * Die Versorgungsgruppe kann die Werte  
	 * I,Ia,Ib,IIa,IIb,III,IVa,IVb,Va,Vb,Vc,VIa,VIb,VII,VIII,IXa,IXb,X
	 * annehmen
	 */
	
	/**Diese Funktion dient zum Ermitteln des Betrages der allgemeinen Zulage.
	 * @param versGrp die Versorgungsgruppe des Angestellten
	 * @return die allgemeine Zulage
	 * @throws Exception falls was schiefläuft
	 */
	public float allgZulage(String versGrp) throws Exception;
	
	/**Diese Funktion liefert den Ortszuschlag
	 * @param versGrp die Versorgungsgruppe des Angestellten
	 * @param stufe die Stufe des Ortszuschlags (zulässige Werte: 1-7)
	 * @return den Ortszuschlag
	 * @throws Exception falls was schiefläuft
	 */
	public float ortszuschlag(String versGrp, int stufe) throws Exception;
	
	/**Diese Funktion bestimmt das Grundgehalt, abhängig von Versorgungsgruppe und
	 * Alter des Angestellten.
	 * @param versGrp die Versorgungsgruppe des Angestellten
	 * @param alter das Alter des Angestellten
	 * @return das Grundgehalt
	 * @throws Exception falls was schiefläuft
	 */
	public float grundgehalt(String versGrp, int alter) throws Exception;
}
