package blatt6;

import java.sql.SQLException;

public class BatTool {
	public static void main(String[] args){
		MyDb db = null;
		try {
			db = new MyDb();
		} catch (Exception e1) {
			System.err.println("Unable to initialize DB");
			System.exit(1);
		}
		
		try {
			Bat b = new BatImpl(db);
			
			float gehalt = b.grundgehalt("IIa", 27);
			float ozuschlag = b.ortszuschlag("IIa", 1);
			float zula = b.allgZulage("IIa");
			System.out.println(gehalt);
			System.out.println(ozuschlag);
			System.out.println(zula);
			System.out.println("===============");
			System.out.println(gehalt + ozuschlag + zula);
		} catch (Exception e) {
			e.printStackTrace();
		} finally{
			try {
				db.stop();
			} catch (SQLException e) {
				System.err.println("Could not stop DB");
			}
		}
		
	}
}
