package blatt6;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.Properties;

public class MyDb {
	/* 
	  private static String driver = "org.apache.derby.jdbc.EmbeddedDriver";
	  private static String protocol = "jdbc:derby:";
	*/
	
	private static String driver = "com.mysql.jdbc.Driver";
	private static String protocol = "jdbc:mysql:";
	private String user = "sep";
	
	//turing$ createdb -d Datenbankname Datenbankverzeichnis Passwort
	//Diese drei Variablen muessen mit den beim Erzeugen der Datenbank angegebenen bzw.
	//in der Datei setvars enthaltenen Werte belegt werden.
	private String dbName = "db";  //Ist durch den selbst gewaehlten Datenbanknamen zu ersetzen
	private String port = "11190"; //den Port findet man in der Datei setenv im Datenbankverzeichnis
	private String pwd = "geheim"; //Ist durch das selbst gewaehlte Passwort zu ersetzen
	
	
	private Connection conn = null;
    //private Properties props = new Properties();
    private Statement s;
    
    public MyDb() throws Exception{
    	try {
    		Class.forName(driver).newInstance();
    		String url = protocol + "//turing:"+port + "/"+ dbName +"?user="+user+"&password="+pwd;
    		//Verbindung aufbauen
    		conn = DriverManager.getConnection(url);
    		//Statement-Objekt erzeugen
    		s = conn.createStatement();
		} catch (Exception e) {
			throw new Exception(e);
		} 
    }
    
    public Statement getStatement(){
    	return s;
    }
    
    public void stop() throws SQLException{
    	s.close();
    	conn.close();
    }
}
